GEODE-8849: Improve failure output when running stress tests in CI (#5923)

diff --git a/ci/scripts/repeat-new-tests.sh b/ci/scripts/repeat-new-tests.sh
index 90eb3ce..90dc7d8 100755
--- a/ci/scripts/repeat-new-tests.sh
+++ b/ci/scripts/repeat-new-tests.sh
@@ -49,8 +49,9 @@
 function save_classpath() {
   echo "Building and saving classpath"
   pushd geode >> /dev/null
+    BUILD_LOG=/tmp/classpath-build.log
     # Do this twice since devBuild still dumps a warning string to stdout.
-    ./gradlew --console=plain -q compileTestJava compileIntegrationTestJava compileDistributedTestJava devBuild 2>/dev/null
+    ./gradlew --console=plain -q compileTestJava compileIntegrationTestJava compileDistributedTestJava devBuild >${BUILD_LOG} 2>&1 || (cat ${BUILD_LOG}; false)
     ./gradlew --console=plain -q printTestClasspath 2>/dev/null >/tmp/classpath.txt
   popd >> /dev/null
 }
@@ -69,6 +70,9 @@
 NUM_CHANGED_FILES=${#CHANGED_FILES_ARRAY[@]}
 
 echo "${NUM_CHANGED_FILES} changed test files"
+for T in ${CHANGED_FILES_ARRAY[@]}; do
+  echo "  ${T}"
+done
 
 if [[  "${NUM_CHANGED_FILES}" -eq 0 ]]
 then
@@ -83,7 +87,8 @@
 
 if [[ "${NUM_CHANGED_FILES}" -ne "${TEST_COUNT}" ]]
 then
-  echo "Changed test files increased to ${TEST_COUNT} after including subclasses"
+  echo ""
+  echo "${TEST_COUNT} test files considered for stress test after pre-processing the initial set"
 fi
 
 if [[ "${TEST_COUNT}" -gt 35 ]]